namespace AutheliaMultiDomainProxy.Backend;

public class Vars {
	public const string UpstreamPrimaryDomain = "zotan.services";
	public const string AutheliaSubdomain     = "auth";
	public const string AuthProxySubdomain    = "authproxy";
	public const string CookieName            = "authelia_multi_domain_proxy_session";

	public static readonly List<string> RequestHeaders = new() {
		"X-Original-URL",
		"X-Real-IP",
		"X-Forwarded-For",
		"X-Forwarded-Proto",
		"X-Forwarded-Host",
		"X-Forwarded-Uri",
		"X-Forwarded-Ssl"
	};

	public static readonly List<string> ResponseHeaders = new() { "remote-user", "remote-groups", "remote-name", "remote-email" };

	public static readonly List<string> PermittedDomains = new() { "ztn.sh" };
}
